<script>
	import SVG from "@/components/svg.svelte"

	import { t, l } from "@/i18n"
	import { page } from "$app/stores"
	import { isLight } from "@/stores/static"
	import { isPhone, isTablet } from "@/stores/responsiveness"

	export let style = "light"

	$: brands = $page.data.brands
	$: types = $page.data.types
</script>

<template lang="pug">
.is-flex.is-align-items-flex-start.is-justify-content-flex-start( 
	class='{style}'
	class:is-flex-direction-column!='{$isPhone || $isTablet}' )
	.types
		p.heading( class:dark='{!$isLight}' ) {$t("heading.classes")}
		.list.is-flex.is-flex-direction-column.is-align-items-flex-start.is-justify-content-flex-start
			+each('types as type')
				a.list-item( href!='{$l(`cars/${type.url}`)}' ) {type.name}
	.brands
		p.heading( class:dark='{!$isLight}' ) {$t("heading.brands")}
		.list.is-flex.is-align-items-flex-start.is-justify-content-flex-start.is-flex-wrap-wrap
			+each('brands as brand')
				a.list-item.is-flex.is-align-items-center.is-justify-content-flex-start( href!='{$l(`cars/${brand.url}`)}' )
					span.icon.is-flex.is-align-items-center.is-justify-content-center: SVG( folder="brands" name='{brand.url}' )
					span {brand.name}
</template>

<style lang="scss">
	.heading {
		font-size: 1.125rem;
		font-weight: 500;
		text-transform: uppercase;
		color: $gray-text;
		margin-bottom: 1rem;
		transition: color .2s ease-in-out;
		&.dark {
			color: $white;
		}
	}

	.list-item {
		font-size: .875rem;
		font-weight: 400;
		color: $white;
		&:hover {
			color: $primary;
		}
	}

	.types .list {
		&-item {
			&:not(:last-child) {
				margin-bottom: .5rem;
			}
		}
	}

	.brands .list {
		margin-bottom: -.5rem;
		&-item {
			margin-bottom: .5rem;
			.icon {
				margin-right: .5rem;
				user-select: none;
				:global(svg) {
					width: 2rem;
					height: 2rem;
				}
				:global(svg path) {
					fill: $white;
					transition: fill .2s ease-in-out;
				}
			}
			&:hover {
				.icon {
					:global(svg path) {
						fill: $primary;
					}
				}
			}
		}
	}

	@include min_tablet {
		.brands {
			margin-left: 15%;
			.list {
				&-item {
					width: 20%;
				}
			}
		}
	}
	@include max_tablet {
		.brands {
			margin-top: 2rem;
			.list {
				&-item {
					width: 50%;
				}
			}
		}
	}

	.dark {
		.heading {
			font-size: 1.5rem;
			color: $black;
		}
		.list-item {
			color: $black;
			:global(svg path) {
				fill: $black!important;
			}
		}
		.types {
			.list-item {
				text-transform: uppercase;
				font-weight: 500;
				&:hover {
					color: $primary;
				}
			}
		}
		.brands {
			max-width: 744px;
			margin-left: auto;
			.list {
				margin-right: -.5rem;
				margin-bottom: -.5rem;
				&-item {
					width: unset;
					margin-right: .5rem;
					margin-bottom: .5rem;
					padding: .1875rem .5rem;
					background: $gray;
					transition: background .2s ease-in-out;
					&:hover {
						background: $gray-dark;
					}
				}
			}
		}
	}
</style>